Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 593274

Summary: Review Request: rubygem-will_paginate - Most awesome pagination solution for Rails
Product: [Fedora] Fedora Reporter: Michal Fojtik <mfojtik>
Component: Package ReviewAssignee: Mamoru TASAKA <mtasaka>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, mfojtik, notting
Target Milestone: ---Flags: mtasaka: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: rubygem-will_paginate-2.3.12-2.fc13 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-05-21 16:36:16 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 459892    
Bug Blocks:    

Description Michal Fojtik 2010-05-18 12:04:44 UTC
Spec URL: http://mifo.sk/RPMS/rubygem-will_paginate.spec
SRPM URL: http://mifo.sk/RPMS/rubygem-will_paginate-2.3.12-1.fc13.src.rpm

Description: The will_paginate library provides a simple, yet powerful and
extensible API for ActiveRecord pagination and rendering of pagination links in
ActionView templates.

Comment 1 Michal Fojtik 2010-05-18 12:06:25 UTC
*** Bug 539268 has been marked as a duplicate of this bug. ***

Comment 2 Mamoru TASAKA 2010-05-18 12:12:59 UTC
Will review

Comment 3 Michal Fojtik 2010-05-18 13:13:44 UTC
(In reply to comment #2)
> Will review    

Thanks ! :)

Comment 4 Mamoru TASAKA 2010-05-19 08:14:30 UTC
Well,

* Documents
  - It is better that test/ directory is marked as %doc
    ( I usually also mark Rakefile as %doc )

* Macros in %changelog
  - Use %% instead of % to avoid unexpanded macro expansion in %changelog.

* Requires
  - lib/will_paginate.rb contains:
------------------------------------------------------------
     1  require 'active_support'
     2  require 'will_paginate/core_ext'
------------------------------------------------------------
    So at least this should have "Requires: rubygem(activesupport)".

Comment 5 Michal Fojtik 2010-05-19 15:56:54 UTC
Thanks Mamoru, 

Updated files:

Spec URL: http://mifo.sk/RPMS/rubygem-will_paginate.spec
SRPM URL: http://mifo.sk/RPMS/rubygem-will_paginate-2.3.12-2.fc13.src.rpm

Comment 6 Mamoru TASAKA 2010-05-19 17:13:38 UTC
Okay.

--------------------------------------------------------------------
   This package (rubygem-will_paginame) is APPROVED by mtasaka
--------------------------------------------------------------------

Comment 7 Mamoru TASAKA 2010-05-19 17:15:05 UTC
.... rubygem-will_paginate is approved.

Comment 8 Michal Fojtik 2010-05-20 12:48:05 UTC
New Package CVS Request
=======================
Package Name: rubygem-xml-simple
Short Description: A simple API for XML processing
Owners: mfojtik
Branches: F-11 F-12 F-13 F-14 EL-5

Comment 9 Michal Fojtik 2010-05-20 13:19:35 UTC
I'm apologize for wrong package name. Correct one:


New Package CVS Request
=======================
Package Name: rubygem-will_paginate
Short Description: Most awesome pagination solution for Rails
Owners: mfojtik
Branches: F-11 F-12 F-13 F-14 EL-5

Comment 10 Kevin Fenzi 2010-05-20 19:38:37 UTC
CVS done (by process-cvs-requests.py).

Comment 11 Fedora Update System 2010-05-21 09:36:39 UTC
rubygem-will_paginate-2.3.12-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rubygem-will_paginate-2.3.12-2.fc11

Comment 12 Fedora Update System 2010-05-21 09:43:53 UTC
rubygem-will_paginate-2.3.12-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rubygem-will_paginate-2.3.12-2.fc12

Comment 13 Fedora Update System 2010-05-21 09:49:36 UTC
rubygem-will_paginate-2.3.12-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rubygem-will_paginate-2.3.12-2.fc13

Comment 14 Michal Fojtik 2010-05-21 12:34:52 UTC
Actually, EL-5 is blocked by rubygem-mocha. I contacted maintainer of this package and requested a build for EL-5. I'll build this package for this branch as soon as this dependency will be included in updates.

Comment 15 Mamoru TASAKA 2010-05-21 16:36:16 UTC
Closing (as this package is built on Fedora branches and updates
were submitted)

Comment 16 Fedora Update System 2010-05-26 21:39:41 UTC
rubygem-will_paginate-2.3.12-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-05-26 21:47:59 UTC
rubygem-will_paginate-2.3.12-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2010-05-26 21:50:39 UTC
rubygem-will_paginate-2.3.12-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.